Name: x11-driver-video-suncg14
Version: 1.1.3
Release: %mkrel 1
Summary: The X.org driver for sun cg14 Cards
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-suncg14-%{version}.tar.xz

License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for sun cg14 Cards.


%prep
%setup -q -n xf86-video-suncg14-%{version}
%autopatch -p1

# remove old includes, this file doesn't exist in newer Xserver versions
sed -i 's,#include "xf86Version.h",,' src/cg14_driver.c

%build
# so that it builds with our current version of libtool
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f 

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/suncg14_drv.so
%{_mandir}/man4/suncg14.*


%changelog
* Thu Dec 15 2022 luigiwalser <luigiwalser> 1.1.3-1.mga9
+ Revision: 1922683
- 1.1.3
- remove upstream patch

* Wed Aug 03 2022 tv <tv> 1.1.2-18.mga9
+ Revision: 1874931
- Fix building with latest xserver
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.1.2-17.mga8
+ Revision: 1518571
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-16.mga7
+ Revision: 1301773
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.1.2-15.mga7
+ Revision: 1207724
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.1.2-14.mga6
+ Revision: 1067768
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.1.2-13.mga6
+ Revision: 1043291
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.1.2-12.mga6
+ Revision: 963440
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.1.2-11.mga6
+ Revision: 902318
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.1.2-10.mga6
+ Revision: 902070
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.1.2-9.mga6
+ Revision: 836053
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-8.mga5
+ Revision: 739537
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-7.mga5
+ Revision: 690459
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.1.2-6.mga5
+ Revision: 635055
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.1.2-5.mga5
+ Revision: 633700
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.1.2-4.mga5
+ Revision: 614390
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.1.2-3.mga5
+ Revision: 582372
- drop merged patch

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 525632
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.1.2-1.mga4
+ Revision: 433835
- drop merged patch
- new release
- submit to core/release
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 1.1.1-1.mga3
+ Revision: 334409
- Add upstream patch for new API
- Update to 1.1.1
+ tv <tv>
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.1.0-9.mga3
+ Revision: 256490
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.1.0-8.mga3
+ Revision: 253026
- rebuild b/c of ia32 failure

* Tue Dec 06 2011 tmb <tmb> 1.1.0-7.mga2
+ Revision: 177695
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.1.0-6.mga2
+ Revision: 153135
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.1.0-5.mga1
+ Revision: 64417
- rebuild for new xserver-1.10

* Fri Feb 11 2011 ahmad <ahmad> 1.1.0-4.mga1
+ Revision: 50611
- remove '#include "xf86Version.h', doesn't exist with current Xserver
- use autoreconf to make the package build with our current version of libtool
- don't ship .la
+ tmb <tmb>
- imported package x11-driver-video-suncg14


* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-3mdv2008.1
+ Revision: 99049
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2008.0
+ Revision: 75789
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:11:32 (36659)
- new upstream release

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

